%define shortname	torrent-rasterbar
%define major		7
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	0.16.18
%define subrel	3
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.rasterbar.com/products/libtorrent/
Source0:	http://sourceforge.net/projects/libtorrent/files/libtorrent/%{name}-%{version}.tar.gz
# add missing header file from upstream tarball (http://sourceforge.net/p/libtorrent/mailman/message/32946086/)
Source1:	bytes.hpp
Patch0:		libtorrent-rasterbar-0.16.2-link.patch
Patch1:		libtorrent-rasterbar-0.16.2-pkgconfig.patch
Patch3:		libtorrent-rasterbar-0.16.11-sovers.patch
Patch4:		libtorrent-rasterbar-0.16.13-sovers.patch
Patch5:		libtorrent-rasterbar-0.16.17-sovers.patch
Patch6:		libtorrent-rasterbar-0.16.18-sovers.patch
Patch7:		CVE-2015-5685.patch
Patch8:		CVE-2016-5301.patch
Patch9:		CVE-2016-7164.patch
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python)
BuildRequires:	geoip-devel

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library
Obsoletes:	%{mklibname %{shortname} 1}

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python bindings
BuildRequires:	python
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%package -n %{develname}
Group:		Development/C
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch6 -p1 -b .sover
%patch7 -p1 -b .CVE-2015-5685
%patch8 -p1 -b .CVE-2016-5301
%patch9 -p1 -b .CVE-2016-7164

cp %{S:1} bindings/python/src/bytes.hpp

%build
%configure2_5x --disable-static \
	--enable-python-binding \
	--with-zlib=system \
	--with-libgeoip=system \
	--with-boost-libdir=%{_libdir} \
	--enable-encryption \
	--enable-dht
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%{py_platsitedir}/*.so
%{py_platsitedir}/*.egg-info


%changelog
* Mon Sep 12 2016 daviddavid <daviddavid> 0.16.18-1.3.mga5
+ Revision: 1051601
- add and rebase upstream patch to fix a new DoS security issue CVE-2016-7164 (mga#19313)
- add and rediff patch from debian to fix a new DoS security issue CVE-2016-5301 (mga#18624)
- add and rediff upstream patch to fix CVE-2015-5685 (mga#16795)

* Fri Nov 21 2014 matteo <matteo> 0.16.18-1.mga5
+ Revision: 798033
- new version 0.16.18
- added bytes.hpp header file (missing from the upstream tarball)
- repatch/rediff sovers patch

* Wed Oct 15 2014 umeabot <umeabot> 0.16.17-4.mga5
+ Revision: 746092
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.16.17-3.mga5
+ Revision: 726905
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.16.17-2.mga5
+ Revision: 681819
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 matteo <matteo> 0.16.17-1.mga5
+ Revision: 639203
- new version 0.16.17
- rediff libtorrent-rasterbar-0.16.17-sovers.patch

* Sun Jun 08 2014 matteo <matteo> 0.16.16-1.mga5
+ Revision: 634732
- new version 0.16.16

* Sat May 31 2014 pterjan <pterjan> 0.16.13-2.mga5
+ Revision: 628312
- Rebuild for new Python

* Thu Mar 06 2014 matteo <matteo> 0.16.13-1.mga5
+ Revision: 600527
- new stable version (0.16.13)

* Sat Feb 08 2014 barjac <barjac> 0.16.11-4.mga5
+ Revision: 586682
- rebuild against boost-1.55

* Tue Oct 22 2013 umeabot <umeabot> 0.16.11-3.mga4
+ Revision: 542889
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.16.11-2.mga4
+ Revision: 497870
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 18 2013 matteo <matteo> 0.16.11-1.mga4
+ Revision: 467442
- new version 0.16.11
- rediff sovers patch

* Tue Jul 09 2013 fwang <fwang> 0.16.6-4.mga4
+ Revision: 451612
- rebuild for new boost

* Mon Jul 08 2013 fwang <fwang> 0.16.6-3.mga4
+ Revision: 451235
- rebuild for new boost

* Thu Apr 11 2013 barjac <barjac> 0.16.6-2.mga3
+ Revision: 409677
- rebuild for boost-1.53

* Sun Jan 13 2013 matteo <matteo> 0.16.6-1.mga3
+ Revision: 362527
- new stable version

* Sat Jan 12 2013 umeabot <umeabot> 0.16.4-3.mga3
+ Revision: 358272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.16.4-2.mga3
+ Revision: 332965
- rebuild for new boost

* Sat Oct 06 2012 matteo <matteo> 0.16.4-1.mga3
+ Revision: 302974
- new version
- rediff sovers patch

* Sun Sep 02 2012 fwang <fwang> 0.16.3-1.mga3
+ Revision: 287248
- rediff sover patch
- new version 0.16.3

* Tue Jul 31 2012 fwang <fwang> 0.16.2-1.mga3
+ Revision: 276546
- specify boost libdir
- use autotools to build
- various cmake patch
- fix linkage
- fix linkage
- bump req
- new version 0.16.2
- let system detect boost
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.15.9-3.mga3
+ Revision: 249718
- rebuild for new boost

  + ovitters <ovitters>
    - rebuild due to new boost

* Mon Dec 05 2011 fwang <fwang> 0.15.9-1.mga2
+ Revision: 176764
- new version 0.15.9

* Mon Nov 28 2011 fwang <fwang> 0.15.8-2.mga2
+ Revision: 173524
- rebuild for new boost

* Sun Oct 02 2011 fwang <fwang> 0.15.8-1.mga2
+ Revision: 150825
- new version 0.15.8
- rebuild for new boost

  + ahmad <ahmad>
    - Update to 0.15.7
    - Change the BR to pkgconfig BR style
    - Don't ship .la
    - Replace libgeoip-devel with geoip-devel

* Wed Jun 22 2011 fwang <fwang> 0.15.6-2.mga2
+ Revision: 111905
- rebuild for new boost

* Sat Apr 16 2011 ahmad <ahmad> 0.15.6-1.mga1
+ Revision: 86826
- update to 0.15.6

* Tue Jan 18 2011 pterjan <pterjan> 0.15.5-2.mga1
+ Revision: 21835
- Rebuild for python 2.7

* Sun Jan 16 2011 ahmad <ahmad> 0.15.5-1.mga1
+ Revision: 19964
- update to 0.15.5

* Sun Jan 16 2011 ahmad <ahmad> 0.15.4-3.mga1
+ Revision: 19942
- clean spec and drop old/unneeded scriptlets
- imported package libtorrent-rasterbar


* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.4-2mdv2011.0
+ Revision: 590402
- rebuild for python-2.7

* Tue Oct 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.4-1mdv2011.0
+ Revision: 583123
- update to 0.15.4

* Tue Sep 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.3-2mdv2011.0
+ Revision: 581597
- now that glibc has been updated to 2.12.1 we can drop patch0. c.f.:
  http://code.google.com/p/libtorrent/issues/detail?id=57
  http://sourceware.org/bugzilla/show_bug.cgi?id=5553

* Thu Sep 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.3-1mdv2011.0
+ Revision: 578985
- update to 0.15.3

* Wed Aug 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.2-1mdv2011.0
+ Revision: 573279
- update to 0.15.2
- fix build with boost-1.44

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.15.1-4mdv2011.0
+ Revision: 565996
- rebuild for new boost

* Tue Jul 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.15.1-3mdv2011.0
+ Revision: 562063
- since underlinking patch was dropped no need to run autoreconf
- no need to remove include/libtorrent/asio*, it's not shipped in the tarball now
- fix configuration options, some of them have changed upstream

* Mon Jul 26 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.15.1-2mdv2011.0
+ Revision: 560885
- added patch0 from arch to address the ASSERT hit in glibc
- new version 0.15.1
  dropped unlinking patch, no longer needed for compiling
  disabled static build

* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-3mdv2010.1
+ Revision: 532463
- rebuild for openssl-1.0.0

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-2mdv2010.1
+ Revision: 531501
- resumbit because of BS oddity
- new upstream release 0.14.10

* Tue Feb 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.9-1mdv2010.1
+ Revision: 509906
- new upstream release 0.14.9

  + Funda Wang <fwang@mandriva.org>
    - rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.14.8-5mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-4mdv2010.1
+ Revision: 500332
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-3mdv2010.1
+ Revision: 500084
- rebuild for new boost

* Wed Jan 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-2mdv2010.1
+ Revision: 496899
- build with system geoip now that it's been moved to contrib

* Sun Jan 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-1mdv2010.1
+ Revision: 495409
- disable system geoip for now (till package moving is done)
- update to 0.4.18
- manually remove shipped asio headers to be sure system ones are used
  (originally from Fedora, verified by Anssi for boost < 1.35.0, so
   rm'ing them just to be sure)
- use system geoip as it seems to build correctly
- use the supplied autotools.sh again as one patch modifies Makefile.am

* Thu Dec 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.7-1mdv2010.1
+ Revision: 472747
- disable system-wide goip support for now
- update to new version 0.14.7
- correct url for Source0
- build against system libgeoip

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.6-1mdv2010.0
+ Revision: 447965
- update to new version 0.14.6

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.5-1mdv2010.0
+ Revision: 440748
- update to new version 0.14.5
- bump major
- python bindings requires main library

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.14.4-2mdv2010.0
+ Revision: 418845
- add python linkage fix
- rebuild for new libboost

* Mon Jun 08 2009 Oden Eriksson <oeriksson@mandriva.com> 0.14.4-1mdv2010.0
+ Revision: 383880
- new major (4)
- 0.14.4

* Sun May 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-2mdv2010.0
+ Revision: 374004
- obsolete old library

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-1mdv2010.0
+ Revision: 373889
- update to new version 0.14.3
- fix against libtool borkiness
- bump major to 3

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.14.1-4mdv2009.1
+ Revision: 354292
- use force install with autoreconf
- rebuild for new boost

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 0.14.1-3mdv2009.1
+ Revision: 318430
- rebuild for new python
- fix expression so mdvsys update can be used

  + Funda Wang <fwang@mandriva.org>
    - drop strange obsoletes

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.14.1-2mdv2009.1
+ Revision: 316882
- asio is not needed, as boost contains boost:asio which is needed acturally
- rebuild for new boost

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.14.1-1mdv2009.1
+ Revision: 314424
- have to specify boost libs manually as they don't get found properly on x86-64
- import libtorrent-rasterbar


